Subject: [dhcwg] Question about RFC4014

From: Maglione Roberta <[email-masked]>
Date: Thu, 24 Mar 2011 12:35:09 +0100

Hello,
   I have a clarification question about RFC 4014.
Section 4 says:
"To avoid dependencies between the address allocation and other state
   information between the RADIUS server and the DHCP server, the DHCP
   relay agent SHOULD include only the attributes in the table below in
   an instance of the RADIUS Attributes suboption"

and section 5 says:
"If the relay agent relays RADIUS attributes not included in the table in Section 4, the DHCP server SHOULD ignore them."

My reading of these sentences is that only the attributes contained in the table should be considered by the DHCPv6 Server.
Is my understanding correct?

If this is the case in my opinion there are additional RADIUS attributes that may be useful to include in this table, for example:

- Delegated-IPv6-Prefix-Pool (draft-ietf-radext-ipv6-access-04)
- Framed-IPv6-Address (draft-ietf-radext-ipv6-access-04)
- Framed-IPv6-Prefix (RFC 3162)
- Delegated-IPv6-Prefix (RFC 4818)

Any comment? Why the Framed-IPv6-Prefix was not included in the original table?

Thanks,
Best regards,
Roberta

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.